curl --request POST \
--url https://api.messaging.phonovation.com/knowledge-base/1/search \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"searchExp": "SMS API",
"filter": {
"status": "PUBLISHED"
}
}
'import requests
url = "https://api.messaging.phonovation.com/knowledge-base/1/search"
payload = {
"searchExp": "SMS API",
"filter": { "status": "PUBLISHED" }
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/knowledge-base/1/search");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"searchExp\": \"SMS API\",\n \"filter\": {\n \"status\": \"PUBLISHED\"\n }\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.messaging.phonovation.com/knowledge-base/1/search")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"searchExp\": \"SMS API\",\n \"filter\": {\n \"status\": \"PUBLISHED\"\n }\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/knowledge-base/1/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'searchExp' => 'SMS API',
'filter' => [
'status' => 'PUBLISHED'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({searchExp: 'SMS API', filter: {status: 'PUBLISHED'}})
};
fetch('https://api.messaging.phonovation.com/knowledge-base/1/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"results": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Getting Started with SMS API",
"tags": [
"sms",
"api"
],
"type": "ARTICLE",
"scope": "INTERNAL",
"description": "This guide covers the basics of sending SMS messages via the Phonovation API.",
"url": "https://example.com/document.pdf",
"sizeInBytes": 1048576,
"contentType": "application/pdf",
"contentSource": "CONFLUENCE",
"visibility": "PUBLIC"
}
],
"paging": {
"page": 1,
"size": 2,
"totalPages": 1,
"totalResults": 1
}
}{
"errorCode": "E400",
"description": "Request cannot be processed.",
"action": "Check the syntax, violations and adjust the request.",
"violations": [],
"resources": []
}{
"errorCode": "E401",
"description": "The request lacks valid authentication credentials for the requested resource.",
"action": "Check the resources and adjust authentication credentials.",
"violations": [],
"resources": [
{
"name": "API Authentication",
"url": "https://www.phonovation.com/docs/essentials/api-authentication"
}
]
}{
"errorCode": "E403",
"description": "Insufficient permissions to access the requested resource.",
"action": "Repeat the request with new or different credentials.",
"violations": [],
"resources": [
{
"name": "API Scopes",
"url": "https://www.phonovation.com/docs/essentials/api-essentials/api-authorization#api-scopes"
}
]
}{
"errorCode": "E429",
"description": "Too many requests sent.",
"action": "Check request rate limit specified in the API endpoint documentation resource.",
"violations": [],
"resources": [
{
"name": "Throttling handling errors",
"url": "https://www.phonovation.com/docs/essentials/integration-best-practices#throttling-handling-errors"
}
]
}{
"errorCode": "E500",
"description": "Something went wrong.",
"action": "Contact the support.",
"violations": [],
"resources": []
}Search knowledge base
Performs a full-text search across all knowledge base content using filter criteria provided in the request body. Results are paginated.
Required scope: Enable one of: knowledge-base:read, knowledge-base:manage.
curl --request POST \
--url https://api.messaging.phonovation.com/knowledge-base/1/search \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"searchExp": "SMS API",
"filter": {
"status": "PUBLISHED"
}
}
'import requests
url = "https://api.messaging.phonovation.com/knowledge-base/1/search"
payload = {
"searchExp": "SMS API",
"filter": { "status": "PUBLISHED" }
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/knowledge-base/1/search");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"searchExp\": \"SMS API\",\n \"filter\": {\n \"status\": \"PUBLISHED\"\n }\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.messaging.phonovation.com/knowledge-base/1/search")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"searchExp\": \"SMS API\",\n \"filter\": {\n \"status\": \"PUBLISHED\"\n }\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/knowledge-base/1/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'searchExp' => 'SMS API',
'filter' => [
'status' => 'PUBLISHED'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({searchExp: 'SMS API', filter: {status: 'PUBLISHED'}})
};
fetch('https://api.messaging.phonovation.com/knowledge-base/1/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"results": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Getting Started with SMS API",
"tags": [
"sms",
"api"
],
"type": "ARTICLE",
"scope": "INTERNAL",
"description": "This guide covers the basics of sending SMS messages via the Phonovation API.",
"url": "https://example.com/document.pdf",
"sizeInBytes": 1048576,
"contentType": "application/pdf",
"contentSource": "CONFLUENCE",
"visibility": "PUBLIC"
}
],
"paging": {
"page": 1,
"size": 2,
"totalPages": 1,
"totalResults": 1
}
}{
"errorCode": "E400",
"description": "Request cannot be processed.",
"action": "Check the syntax, violations and adjust the request.",
"violations": [],
"resources": []
}{
"errorCode": "E401",
"description": "The request lacks valid authentication credentials for the requested resource.",
"action": "Check the resources and adjust authentication credentials.",
"violations": [],
"resources": [
{
"name": "API Authentication",
"url": "https://www.phonovation.com/docs/essentials/api-authentication"
}
]
}{
"errorCode": "E403",
"description": "Insufficient permissions to access the requested resource.",
"action": "Repeat the request with new or different credentials.",
"violations": [],
"resources": [
{
"name": "API Scopes",
"url": "https://www.phonovation.com/docs/essentials/api-essentials/api-authorization#api-scopes"
}
]
}{
"errorCode": "E429",
"description": "Too many requests sent.",
"action": "Check request rate limit specified in the API endpoint documentation resource.",
"violations": [],
"resources": [
{
"name": "Throttling handling errors",
"url": "https://www.phonovation.com/docs/essentials/integration-best-practices#throttling-handling-errors"
}
]
}{
"errorCode": "E500",
"description": "Something went wrong.",
"action": "Contact the support.",
"violations": [],
"resources": []
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Query Parameters
Results page to retrieve (0..N).
x >= 0Number of records per page.
1 <= x <= 5000